Package org.apache.tomcat.util.descriptor.web

## Class WebRuleSet

- java.lang.Object
- - org.apache.tomcat.util.digester.RuleSetBase
  - - org.apache.tomcat.util.descriptor.web.WebRuleSet

All Implemented Interfaces:
  `RuleSet`

    public class WebRuleSet
    extends RuleSetBase

RuleSet for processing the contents of a web application deployment descriptor (`/WEB-INF/web.xml`) resource.

Author:
  Craig R. McClanahan

### Field Summary

Fields
`protected org.apache.tomcat.util.descriptor.web.AbsoluteOrderingRule` `absoluteOrdering` The `AbsoluteOrderingRule` rule used to parse the web.xml
`protected boolean` `fragment` Flag that indicates if this ruleset is for a web-fragment.xml file or for a web.xml file.
`protected java.lang.String` `fullPrefix` The full pattern matching prefix, including the webapp or web-fragment component, to use for matching elements
`protected org.apache.tomcat.util.descriptor.web.SetJspConfig` `jspConfig` The `SetJspConfig` rule used to parse the web.xml
`protected org.apache.tomcat.util.descriptor.web.SetLoginConfig` `loginConfig` The `SetLoginConfig` rule used to parse the web.xml
`protected org.apache.tomcat.util.descriptor.web.NameRule` `name` The `NameRule` rule used to parse the web.xml
`protected java.lang.String` `prefix` The matching pattern prefix to use for recognizing our elements.
`protected org.apache.tomcat.util.descriptor.web.RelativeOrderingRule` `relativeOrdering` The `RelativeOrderingRule` rule used to parse the web.xml
`protected org.apache.tomcat.util.descriptor.web.SetSessionConfig` `sessionConfig` The `SetSessionConfig` rule used to parse the web.xml
`protected static StringManager` `sm` The string resources for this package.

### Fields inherited from class org.apache.tomcat.util.digester.RuleSetBase

`namespaceURI`

### Constructor Summary

Constructors
`WebRuleSet()` Construct an instance of this `RuleSet` with the default matching pattern prefix and default fragment setting.
`WebRuleSet​(boolean fragment)` Construct an instance of this `RuleSet` with the default matching pattern prefix.
`WebRuleSet​(java.lang.String prefix, boolean fragment)` Construct an instance of this `RuleSet` with the specified matching pattern prefix.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addRuleInstances​(Digester digester)` Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).
`protected void` `configureInjectionRules​(Digester digester, java.lang.String base)`
`protected void` `configureNamingRules​(Digester digester)`
`void` `recycle()` Reset counter used for validating the web.xml file.

### Methods inherited from class org.apache.tomcat.util.digester.RuleSetBase

`getNamespaceURI`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sm

    protected static final StringManager sm

The string resources for this package.

#### prefix

    protected final java.lang.String prefix

The matching pattern prefix to use for recognizing our elements.

#### fullPrefix

    protected final java.lang.String fullPrefix

The full pattern matching prefix, including the webapp or web-fragment component, to use for matching elements

#### fragment

    protected final boolean fragment

Flag that indicates if this ruleset is for a web-fragment.xml file or for a web.xml file.

#### sessionConfig

    protected final org.apache.tomcat.util.descriptor.web.SetSessionConfig sessionConfig

The `SetSessionConfig` rule used to parse the web.xml

#### loginConfig

    protected final org.apache.tomcat.util.descriptor.web.SetLoginConfig loginConfig

The `SetLoginConfig` rule used to parse the web.xml

#### jspConfig

    protected final org.apache.tomcat.util.descriptor.web.SetJspConfig jspConfig

The `SetJspConfig` rule used to parse the web.xml

#### name

    protected final org.apache.tomcat.util.descriptor.web.NameRule name

The `NameRule` rule used to parse the web.xml

#### absoluteOrdering

    protected final org.apache.tomcat.util.descriptor.web.AbsoluteOrderingRule absoluteOrdering

The `AbsoluteOrderingRule` rule used to parse the web.xml

#### relativeOrdering

    protected final org.apache.tomcat.util.descriptor.web.RelativeOrderingRule relativeOrdering

The `RelativeOrderingRule` rule used to parse the web.xml

### Constructor Detail

#### WebRuleSet

    public WebRuleSet()

Construct an instance of this `RuleSet` with the default matching pattern prefix and default fragment setting.

#### WebRuleSet

    public WebRuleSet​(boolean fragment)

Construct an instance of this `RuleSet` with the default matching pattern prefix.

Parameters:
  `fragment` - `true` if this is a web fragment

#### WebRuleSet

    public WebRuleSet​(java.lang.String prefix,
                      boolean fragment)

Construct an instance of this `RuleSet` with the specified matching pattern prefix.

Parameters:
  `prefix` - Prefix for matching pattern rules (including the trailing slash character)
  `fragment` - `true` if this is a web fragment

### Method Detail

#### addRuleInstances

    public void addRuleInstances​(Digester digester)

Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.

Specified by:
  `addRuleInstances` in interface `RuleSet`
Specified by:
  `addRuleInstances` in class `RuleSetBase`
Parameters:
  `digester` - Digester instance to which the new Rule instances should be added.

#### configureNamingRules

    protected void configureNamingRules​(Digester digester)

#### configureInjectionRules

    protected void configureInjectionRules​(Digester digester,
                                           java.lang.String base)

#### recycle

    public void recycle()

Reset counter used for validating the web.xml file.